Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QHeaderView.ResizeMode

    java.lang.Object
      java.lang.Enum<QHeaderView.ResizeMode>
          com.trolltech.qt.gui.QHeaderView.ResizeMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QHeaderView.ResizeMode>

Enclosing class:
  QHeaderView

    public static enum QHeaderView.ResizeMode

extends java.lang.Enum<QHeaderView.ResizeMode>
implements QtEnumerator

The resize mode specifies the behavior of the header sections. It can be set on the entire header view or on individual sections using `setResizeMode`.

Constant | Value | Description
--- | --- | ---
`Interactive` | `0` | The user can resize the section. The section can also be resized programmatically using `resizeSection`. The section size defaults to `defaultSectionSize`. (See also `cascadingSectionResizes`.)
`Fixed` | `2` | The user cannot resize the section. The section can only be resized programmatically using `resizeSection`. The section size defaults to `defaultSectionSize`.
`Stretch` | `1` | `QHeaderView` will automatically resize the section to fill the available space. The size cannot be changed by the user or programmatically.
`ResizeToContents` | `3` | `QHeaderView` will automatically resize the section to its optimal size based on the contents of the entire column or row. The size cannot be changed by the user or programmatically. (This value was introduced in 4.2)

The following values are obsolete:

Constant | Value | Description
--- | --- | ---
`Custom` | `2` | Use Fixed instead.

See Also:
  `setResizeMode`, `stretchLastSection`, `minimumSectionSize`

Enum Constant Summary
`Fixed` The user cannot resize the section.
`Interactive` The user can resize the section.
`ResizeToContents` `QHeaderView` will automatically resize the section to its optimal size based on the contents of the entire column or row.
`Stretch` `QHeaderView` will automatically resize the section to fill the available space.

Method Summary
`static QHeaderView.ResizeMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QHeaderView.ResizeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QHeaderView.ResizeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Interactive

    public static final QHeaderView.ResizeMode Interactive

  The user can resize the section. The section can also be resized programmatically using `resizeSection`. The section size defaults to `defaultSectionSize`. (See also `cascadingSectionResizes`.)

### Stretch

    public static final QHeaderView.ResizeMode Stretch

  `QHeaderView` will automatically resize the section to fill the available space. The size cannot be changed by the user or programmatically.

### Fixed

    public static final QHeaderView.ResizeMode Fixed

  The user cannot resize the section. The section can only be resized programmatically using `resizeSection`. The section size defaults to `defaultSectionSize`.

### ResizeToContents

    public static final QHeaderView.ResizeMode ResizeToContents

  `QHeaderView` will automatically resize the section to its optimal size based on the contents of the entire column or row. The size cannot be changed by the user or programmatically. (This value was introduced in 4.2)

Method Detail

### values

    public static final QHeaderView.ResizeMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QHeaderView.ResizeMode c : QHeaderView.ResizeMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QHeaderView.ResizeMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QHeaderView.ResizeMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD